#ifndef INCLUDE_PBBERRNO_H
#define INCLUDE_PBBERRNO_H
/* ----------------------------------------------------------------------------
 * errorcodes.h
 * definitions of errorcodes used in pbbuttonsd and its modules
 *
 * Copyright 2002 Matthias Grimm (joker@cymes.de).
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 * ----------------------------------------------------------------------------*/

#define E_PERM		1
#define E_PRIVATE		2
#define E_NOEXIST		3
#define E_NOCHAR		4
#define E_NOBLK		5
#define E_NOFILE		6
#define E_BUFOVL		7
#define E_OPEN		8
#define E_FORMAT		9
#define E_MSGPORT	10
#define E_TWICE		11
#define E_INFO		12
#define E_NOSERVER	13
#define E_REGISTER	14

/* prototypes */
void detach_process (char *name);
void print_error(char *msg, ...);

#endif    /* INCLUDE_PBBERRNO_H */
