#ifndef INCLUDE_PBBMISC_H
#define INCLUDE_PBBMISC_H
/* ----------------------------------------------------------------------------
 * pbbmisc.h
 * prototypes and definitions for misc functions in pbb library.
 *
 * Copyright 2002 Matthias Grimm (joker@cymes.de).
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 * ----------------------------------------------------------------------------*/

#define STDBUFFERLEN	80

/* testtypes for check_devorfile() */
#define TYPE_FILE			0
#define TYPE_BLKDEV		1
#define TYPE_CHARDEV	2

/* prototypes */
int check_devorfile(char *file, int type);
int keydelay (int *var, int value, int count);
void cleanup_buffer(char *buffer);
int strcmp_nocase (char *str1, char *str2);
void detach_process (char *name);

#endif    /* INCLUDE_PBBMISC_H */
